nvidia-glx-new driver displays white screen of death

Bug #208718 reported by Wouter Geraedts on 2008-03-29
32
Affects Status Importance Assigned to Milestone
linux-restricted-modules-2.6.24 (Ubuntu)
Undecided
Unassigned
Nominated for Hardy by Piotr Makowski (Aviary.pl)

Bug Description

Binary package hint: nvidia-glx-new

Problem: Getting the white screen of death (white screen with random black lines appearing) when using the nvidia-glx-new driver
Using: Ubuntu Hardy Heron 8.04 (development branch) on a Dell XPS m1530 with a Nvidia GeForce 8600M GT

When clean-installing Hardy Heron using the live CD and afterwards installing the Restricted Driver I get a white screen with random black lines. I can hear the login screen coming up and I can even log in by typing my username and password. I went into the terminal using ctrl + alt + F1 and changed xorg.conf back to using the "nv" drivers.

When checking the logs I found no errors related to xserver or the nvidia drivers. I tried installing the drivers with Envy and I also tried a manual installation. The same drivers were working fine on Gutsy Gibbon.

This problem seems to be restricted only to the Nvidia GeForce 8600M GT. (as far as I know)

A thread on UbuntuForums.org about the same problem: http://ubuntuforums.org/showthread.php?t=712479

Regards,
Wouter

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 0c)
     Subsystem: Dell Unknown device [1028:022e]
01:00.0 VGA compatible controller [0300]: nVidia Corporation GeForce 8600M GT [10de:0407] (rev a1) (prog-if 00 [VGA controller])
     Subsystem: Dell Unknown device [1028:022e]

Wouter Geraedts (w-geraedts) wrote :
Stewbacca (stewart-macarthur) wrote :

I am getting the same problem with the same video card on a Dell inspiron 1520 laptop. Tried Envy, manual install etc, same problems.

lichtgestalt (lichtgestalt) wrote :

I have the same problem.
Some more details:
When I attach an external display (Dell 1903FP) and press FN+F8 (to activate the VGA output) everything works fine on this screen. I tried a lot of things like twinview, clone, different resolutions and refresh rates. The Laptop display changes it's output but it's still garbage. Best description I can give: It looks like someone scanned a tissue in black and white. Sometimes just a small strip from the top to the bottom, sometimes it covers the hole screen, sometimes i just get random, mostly gray but sometimes orange (like the background) stripes. Weard and nothing like any bug I've seen before. My first idea was, that it might have something to do with the integrated webcam or fingerprint reader but I could confirm it.
The display also seems to report strange values when using nvidia (perhaps the core of the problem?) like a max resolution of 540x480 and a negative refresh rate, while it works fine with the external display or different drivers (vesa or nv). I tried overriding these values but since Xorg ignores xorg.conf I hadn't had much luck yet.

The system is a new (2Days) old Dell XPS M1530 with a NVidia GeForce Go 8600M GT and WXGA TFT Widescreen (1280x800) TrueLife display.
I'm using Ubuntu 8.04 Beta for amd64 with all updates in place.
I tried the nvidia-glx-new package, envy, manual setup, displayconfig-gtk, nvidia-config, xorg.conf - no luck.

If I can provide you with any further details please post here.

Stewbacca (stewart-macarthur) wrote :

This remains to be a problem, none of the updates have fixed this issue with the nvidia drivers.

adwatkin19 (adam-watkin) wrote :

I too am having this problem with a Dell Inspiron 1520 64bit dual core with Nvidia 8600GT

I watch for Xorg updates and retry the drivers each time, and still no joy.

Hope this gets solved too.

Adam

Scott (s-drinkwater) wrote :

I also Have this Bug on my new Dell XPS M1530. Any information I can give to help fix this, Let me know..

Scott, NZ.

Stewbacca (stewart-macarthur) wrote :

This has been fixed for me by installing the latest nvidia beta drivers from their web site (Released 10th April). So not an unbuntu issue.

johnb (john-beynon) wrote :

yep, just done the same. latest driver works great!

Wouter Geraedts (w-geraedts) wrote :

I confirm that the new beta driver works.

siddtharth (siddtharth861) wrote :

I too have somewhat same problem. I'll try the latest drivers tonight hope it will work. waiting for ubuntu to work with my configuration for a long time.

Changed in linux-restricted-modules-2.6.24:
assignee: nobody → ubuntu-desktop
status: New → Confirmed
lichtgestalt (lichtgestalt) wrote :

It's a bit tricky but I also can confirm, that the beta driver is working correctly.

Changed in linux-restricted-modules-2.6.24:
assignee: ubuntu-desktop → nobody
Mikael B (mikaelbje) wrote :

The drivers at NVIDIA's site are the same as nvidia-glx-new. Is there any reason for trying them? I have the same problem. White screen, thin black horizontal lines near the bottom and a gradient vertical blue to gray bar appearing near the middle of the screen after a few seconds.

I can also confirm this issue, I'm using a Dell XPS M1530, Nvidia 8600 GT

Mikael B:
The BETA-driver. http://www.nvidia.com/object/linux_display_ia32_173.08.html
Can only be found through the driver-archive for all I know.

Mikael B (mikaelbje) wrote :

Hei Ola,

I installed the BETA driver after uninstalling everything related to NVIDIA in Ubuntu and I'm up and running again. I have not tested the external monitor yet, but will on Monday. The laptop monitor now works as expected.

broderboy (timothy-broder) wrote :

I was able to fix this as well.

# Completely remove nvidia-glx-new

# Remove nvidia-kernel-common (this also removes linux-restricted-modules), (I am not sure if step 2 is required)

# install build-essentials

# Download the Nvidia beta driver that came out on April 10. You can get it here

# hit ctrl + alt + f1 to break out of gnome

# "sudo /etc/init.d/gdm stop" to shutdown the X server

# sudo sh NVIDIA-Linux-x86-173.08-pkg1.run to install the driver. If it asks you to update you're xorg.conf file, let it.

# Reboot. ("sudo reboot") You should now be able to enable Desktop effects.

Detailed here: <a href="http://blog.gpowered.net/2008/04/fixing-nvidia-8600-gt-on-hardy-heron.html">http://blog.gpowered.net/2008/04/fixing-nvidia-8600-gt-on-hardy-heron.html</a>

Michael W. (hotdog003-gmail) wrote :

This problem also exists with the 8400M GS on a Dell Vostro 1500.

I haven't tried the beta driver, and I'd rather stick with the ubuntu packages.

rajeshksv (rajeshksv37) wrote :

 Can i download the driver seperately and then run it so that my friends need not download tht driver again from net??If possible plz temme how??
And is the procedure stated above is same (the name of driver) for 8400 model card on dell vostro 1500model??If not plz temme the name .i am unable to find the name at http://www.nvidia.com/object/unix.html .it gives me several links:(

  • unnamed Edit (1.4 KiB, text/html; charset=ISO-8859-1)

Hi rajeshksv,

That driver should work for an 8400.

let me know if you need more help with it

-Tim

On Sun, Apr 27, 2008 at 3:00 AM, rajeshksv <email address hidden> wrote:

> Can i download the driver seperately and then run it so that my friends
> need not download tht driver again from net??If possible plz temme how??
> And is the procedure stated above is same (the name of driver) for 8400
> model card on dell vostro 1500model??If not plz temme the name .i am unable
> to find the name at http://www.nvidia.com/object/unix.html .it
> gives me several links:(
>
> --
> nvidia-glx-new driver displays white screen of death
> https://bugs.launchpad.net/bugs/208718
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Timothy M. Broder Jr.
RPI Crew Alumni
Lehman Brothers Inc.

http://gpowered.blogspot.com
By the Power of Google...

rajeshksv (rajeshksv37) wrote :

THANK YOU guys....It worked.I downloaded the driver and installed it.Now NVIDIA graphic card is enabled and all desktop effects were working.Before i saw urs solution I tried 2 enable it in a number of ways bt of no use ..So i posted in www.ubuntuforums.org and they gave me this link .Finally this worked TQ broderboy and ubuntu forums.

broderboy (timothy-broder) wrote :
  • unnamed Edit (1.3 KiB, text/html; charset=ISO-8859-1)

no problem, glad you could get it to work!

On Sun, Apr 27, 2008 at 3:12 PM, rajeshksv <email address hidden> wrote:

> THANK YOU guys....It worked.I downloaded the driver and installed it.Now
> NVIDIA graphic card is enabled and all desktop effects were
> working.Before i saw urs solution I tried 2 enable it in a number of
> ways bt of no use ..So i posted in www.ubuntuforums.org and they gave me
> this link .Finally this worked TQ broderboy and ubuntu forums.
>
> --
> nvidia-glx-new driver displays white screen of death
> https://bugs.launchpad.net/bugs/208718
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Timothy M. Broder Jr.
RPI Crew Alumni
Lehman Brothers Inc.

http://gpowered.blogspot.com
By the Power of Google...

holger (holger-opencards) wrote :

Same problem for me (Dell Inspiron 1520). Would be nice if this could be fixed by an ubuntu update.

broderboy (timothy-broder) wrote :

I'm guessing that when the new driver is no longer beta, the restricted driver manager will be able to pick it up

Hi.

I have 8400M GS and it does not work, there is a crash on-boot.

Messages on boot:

Starting up ...
Loading, please wait...
usplash: Setting mode 1280x1024 failed
usplash: Setting mode 1152x864 failed
usplash: Using mode 1024x768
kinit: name_to_dev_t(/dev/disk/by-uuid/a13e252b-ee84-4bd9-b1ab-79898099ba77) = sda5(8,5)
kinit: trying to resume from /dev/disk/by-uuid/a13e252b-ee84-4bd9-b1ab-79898099ba77
kinit: No resume image, doing normal boot...

after manual startx:

(==) Using config file: "/etc/X11/xorg.conf"
(II) Module "ramdac" already built-in
NVIDIA: could not open the device file /dev/nvidia0 (Input/output error).
(EE) NVIDIA(0): Failed to initialize the NVIDIA graphics device PCI:1:0:0.
(EE) NVIDIA(0): Please see the COMMON PROBLEMS section in the README for
(EE) NVIDIA(0): additional information.
(EE) NVIDIA(0): Failed to initialize the NVIDIA graphics device!
(EE) NVIDIA(0): *** Aborting ***
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found

waiting for X server to begin accepting connections
giving up.
xinit: Connection reset by peer (errno 104): unable to connect to X server
xinit: No such process (errno 3): Server error.

Other problem (which I do not know where to send) is that when I log off, the screen is black and it's impossible to do ANYTHING (even alt-ctrl-f1) - this is with 'nv', as 'nvidia' does not work. It have been working before the upgrade. It's some kind of freeze... maybe unsuccessful hibernate attempt? (it also happens when I close my notebook's cover)

santasimp (ma++) wrote :

I had this problem as well on a GeForce 8600M GT. Installing the beta driver worked as indicated. However 2D performance was horrible (Gmail in firefox 3b5 was absolutely unusable). I manually installed an older driver (100.14.19) and saw a noticeable improvement over the beta in both 2D and 3D. 100.14.19 was the *only* other driver I could get to work with kernel 2.6.24-16-generic without the white screen problem.

  • unnamed Edit (1.4 KiB, text/html; charset=ISO-8859-1)

I've also noticed tracker drastically slowing down certain windows. I
uninstalled it and firefox stopped graying out on me

On Mon, Apr 28, 2008 at 12:51 PM, santasimp <email address hidden> wrote:

> I had this problem as well on a GeForce 8600M GT. Installing the beta
> driver worked as indicated. However 2D performance was horrible (Gmail
> in firefox 3b5 was absolutely unusable). I manually installed an older
> driver (100.14.19) and saw a noticeable improvement over the beta in
> both 2D and 3D. 100.14.19 was the *only* other driver I could get to
> work with kernel 2.6.24-16-generic without the white screen problem.
>
> --
> nvidia-glx-new driver displays white screen of death
> https://bugs.launchpad.net/bugs/208718
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Timothy M. Broder Jr.
RPI Crew Alumni
Lehman Brothers Inc.

http://gpowered.blogspot.com
By the Power of Google...

naoli (naoli) wrote :

Hi guys,

I have the same pb with my NVIDIA GT.

Downloading the latest drivers did work, but I can't have the 3D effects, or the white screen of death just comes back...

Any idea ?

Thanks a lot.

broderboy (timothy-broder) wrote :
  • unnamed Edit (1.1 KiB, text/html; charset=ISO-8859-1)

@naoli

did you let the driver overwrite your xorg.conf?

On Tue, Apr 29, 2008 at 5:52 PM, naoli <email address hidden> wrote:

> Hi guys,
>
> I have the same pb with my NVIDIA GT.
>
> Downloading the latest drivers did work, but I can't have the 3D
> effects, or the white screen of death just comes back...
>
> Any idea ?
>
> Thanks a lot.
>
> --
> nvidia-glx-new driver displays white screen of death
> https://bugs.launchpad.net/bugs/208718
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Timothy M. Broder Jr.
RPI Crew Alumni
Lehman Brothers Inc.

http://gpowered.blogspot.com
By the Power of Google...

Mercer Rivière (vincentuq) wrote :

Is it nvidia driver's or rather internal ubuntu problem? If it's nvidia's, do they know anything?

broderboy (timothy-broder) wrote :
  • unnamed Edit (974 bytes, text/html; charset=ISO-8859-1)

its the nvidia drivers and the beta fixes it...

On Wed, Apr 30, 2008 at 9:21 AM, hazb <email address hidden> wrote:

> Is it nvidia driver's or rather internal ubuntu problem? If it's
> nvidia's, do they know anything?
>
> --
> nvidia-glx-new driver displays white screen of death
> https://bugs.launchpad.net/bugs/208718
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Timothy M. Broder Jr.
RPI Crew Alumni
Lehman Brothers Inc.

http://gpowered.blogspot.com
By the Power of Google...

rajeshksv (rajeshksv37) wrote :

hey guys ..same problem again..i downloaded the driver and followed the procedure told by broderboy but its not working:(my nvidia installer log file is this...plz help me..

nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Sat May 10 15:28:15 2008

option status:
  license pre-accepted : false
  update : false
  force update : false
  expert : false
  uninstall : false
  driver info : false
  precompiled interfaces : true
  no ncurses color : false
  query latest version : false
  OpenGL header files : true
  no questions : false
  silent : false
  no recursion : false
  no backup : false
  kernel module only : false
  sanity : false
  add this kernel : false
  no runlevel check : false
  no network : false
  no ABI note : false
  no RPMs : false
  no kernel module : false
  force SELinux : default
  no X server check : false
  no cc version check : false
  force tls : (not specified)
  X install prefix : (not specified)
  X library install path : (not specified)
  X module install path : (not specified)
  OpenGL install prefix : (not specified)
  OpenGL install libdir : (not specified)
  utility install prefix : (not specified)
  utility install libdir : (not specified)
  doc install prefix : (not specified)
  kernel name : (not specified)
  kernel include path : (not specified)
  kernel source path : (not specified)
  kernel output path : (not specified)
  kernel install path : (not specified)
  proc mount point : /proc
  ui : (not specified)
  tmpdir : /tmp
  ftp mirror : ftp://download.nvidia.com
  RPM file list : (not specified)

Using: nvidia-installer ncurses user interface
-> License accepted.
-> No precompiled kernel interface was found to match your kernel; would you li
   ke the installer to attempt to download a kernel interface for your kernel f
   rom the NVIDIA ftp site (ftp://download.nvidia.com)? (Answer: Yes)
ERROR: Unable to connect to remote host download.nvidia.com (Connection timed
       out)
-> No matching precompiled kernel interface was found on the NVIDIA ftp site;
   this means that the installer will need to compile a kernel interface for
   your kernel.
ERROR: You do not appear to have libc header files installed on your system.
       Please install your distribution's libc development package.
ERROR: Installation has failed. Please see the file
       '/var/log/nvidia-installer.log' for details. You may find suggestions
       on fixing installation problems in the README available on the Linux
       driver download page at www.nvidia.com.

(i donno why its not connecting to nvidia ftp site .I am able to open the site manually .So can i downlaod the thing whst it want 2 download(apart 4m driver) and install???and what are those libc header files???

Wouter Geraedts (w-geraedts) wrote :

NVidia does not have the precompiled kernel modules (yet), so even if you were able to connect, it would not make a difference. As for the libc header files, make sure you installed the build-essential package. (This package depends on libc-dev, which you need)

rajeshksv (rajeshksv37) wrote :

ya i got it..i dint install build essential and some header files..now i installed them and its working fine..tq

haydn (haydn-zeald) wrote :

This problem also exists with the 8400M GS on a Dell Vostro 1500.

I have tried the beta driver, and it works, thanks to broderboy's instructions
https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules-2.6.24/+bug/208718/comments/16

tuomask (tuomask) wrote :

I don't know if this is relevant but I get the white screen of death if I use 3D desktop effects and xserver-xgl is installed. This is true even with the latest beta drivers (173.08). Apparently xserver-xgl prevents direct rendering:
https://answers.launchpad.net/ubuntu/+source/xserver-xgl/+question/27148

I'm running Kubuntu 8.04 on Shuttle SP35P2 with GeForce 8600 GT.

Craig Maloney (craig-decafbad) wrote :

Still noticing this behavior with the nvidia-glx-new drivers released today (169.12+2.6.24.12-17.36 )

drink (martin-espinoza) wrote :

I had WSOD until I went to Hardy, with 169.12 or without (also with 173.08 beta driver under gutsy.) I only have an EDID reading problem (which does not appear under Windows XP.) :P

Kshitij Aggarwal (funkyidol) wrote :

I followed all the steps including the installation of build-essential but installing the driver still gives the kernel issue.

using ubuntu 8.04 and NVIDIA-Linux-x86_64-173.14.05-pkg2.run

kindly help

Wouter Geraedts (w-geraedts) wrote :

>> "I followed all the steps including the installation of build-essential but installing the driver still gives the kernel issue."

Could you be more specific about the "kernel issue"?

Kshitij Aggarwal (funkyidol) wrote :

By kernel issue i meant that when u try to manually istall the nvidia drivers it gives the following msg
"No precompiled kernel interface was found to match your kernel; would you li
   ke the installer to attempt to download a kernel interface for your kernel f
   rom the NVIDIA ftp site (ftp://download.nvidia.com)"

i understad that build-essential is suppose to fix this thing but i still get the prompt and it does not get installed

Wouter Geraedts (w-geraedts) wrote :

This notice says that it hasn't found a pre-compiled kernel module, so it's not a problem. Just select "no" to just skip the attempt to download the module and let the installer compile the module.

Kshitij Aggarwal (funkyidol) wrote :

Thats the problem!!
i selected no and then it said couldnt find suitable kernel interface to compile. it behaves as if build-essential in not there at all, even though i installed it using synaptic

drink (martin-espinoza) wrote :
  • unnamed Edit (220 bytes, text/html; charset=ISO-8859-1)

If you could publish the relevant log output (run the nvidia installer with
the flag --ui=none to use the text-mode interface, it's much easier to copy
and paste something sane-looking) here it would be helpful.

Kshitij Aggarwal (funkyidol) wrote :

Im sorry but i didnt knew how to copy the text in the console mode but I can describe the stpe that i took.
When it asked to connect to ftp site, I said no and it said that the package will have to compile it. the next error msg comes you dont have the required compiler installed and finnaly gave the message installation has failed
im attaching the log file generated alongside

Wouter Geraedts (w-geraedts) wrote :

The log file states that you still have the xserver running. I'm assuming it's from a previous try. If it's not, make sure you stopped the /etc/init.d/gdm .

As for not able to compile the kernel modules:
- double check that you've installed build-essential.
- make sure you've installed your linux-header package variant.
- make sure you haven't installed the nvidia-kernel-common package or any variant of the nvidia-glx package.

It _should_ work after that. If it doesn't we'll really need the output of the installer. You can run "sudo sh NVIDIA-Linux-x86_64-173.14.05-pkg2.run --ui=none > debug" to write the terminal output to a file called "debug".

Wouter Geraedts (w-geraedts) wrote :

Just checked the nvidia driver manual. It states that you'll also need the binutils package to compile the kernel module. It is not installed by installing build-essential. The rest is installed by installing build-essential. You'll need the following software versions:

binutils 2.9.5
GNU make 3.77
gcc 2.91.66
glibc 2.0

The page on nvidia's website:
http://us.download.nvidia.com/XFree86/Linux-x86/173.08/README/chapter-02.html

Hopefully this gets sorted soon. I'm just commenting so I can track changes to this. Thanks

Kshitij Aggarwal (funkyidol) wrote :

Thanks a lot guys. it is working perfectly. Stupid of me not to update my ubuntu first.
Thanks everyone

William Anderson (neuro) wrote :

I'd prefer to see progress being made in updating nvidia-glx-new to use the latest, working drivers than advising on how to manually install them. I have a brand new hardy install on my XPS m1530, and I don't want to sully it with a "hacky" video driver install if I can at all help it!

We know the latest drivers work thanks to those who have taken the plunge with a manual install, but when will this bug be assigned and worked on?

Alberto Milone (albertomilone) wrote :

William: you can install the latest driver by using EnvyNG. Read my comment here:
https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules-2.6.24/+bug/231989/comments/19

William Anderson (neuro) wrote :

90 package updates under hardy-proposed? Pass :)

drink (martin-espinoza) wrote :
  • unnamed Edit (113 bytes, text/html; charset=ISO-8859-1)

Feature requests belong on brainstorm. I agree that Envy is hackish. A
manual install is not difficult. Etc.

Alberto Milone (albertomilone) wrote :

William Anderson: enable -proposed, install only the packages you need and then disable -proposed. See, it's not that difficult.

drink: feel free to think whatever pleases you but read what Bryce Harrington said about updating drivers and EnvyNG:
http://blog.qa.ubuntu.com/node/10

drink (martin-espinoza) wrote :
  • unnamed Edit (1.1 KiB, text/html; charset=ISO-8859-1)

My objection to Envy at this time stems from, well, I think Bryce said it
best: "A future planned change (likely for Intrepid) will be to break out
both -fglrx and -nvidia from the linux-restricted-modules package." But that
is in the future. Today, the official method does not involve Envy. And
again, with all due respect for your efforts, I've gotten fed up with
waiting for an Envy update and used the official installer in the past,
which is one reason why I wouldn't mess with it now. If it's not
up-to-the-minute then there is no point for me. And there is no particular
reason why, if someone is going to have to make a package update and
download a big fat package anyway, why it should not just be a deb like
everything else.

If Envy becomes the official means of supporting nVidia drivers in Ubuntu,
then I anticipate using it. Perhaps in intrepid. I do not intend this
comment to be an attack on Envy; there is no reason why it should not exist
and I imagine it suits the needs of many Ubuntu users. I am glad to see it
in the repo instead of users having to look elsewhere if they want that
functionality. Have a nice day!

thedevnull (thedevnull) wrote :

Same problem here..

I have Ubuntu 8.04 64bit on AMD 64X2 with the Nvidia 8800 GT (XFX) and the Samsung SyncMaster 245bw.

When I first installed I loaded the proprietary Nvidia X.org drivers and they worked flawlessly for all of 10ish reboots and then it stopped.

Randomly on the 10th reboot it started my machine in low graphics mode and then gave me some blurred output that can't be read. I can see like half the screen blurred and then the Ubuntu logo down beyond where I can click on it. =( So I restarted in recovery mode and repaired X config. There after I try to reconfigure as I had it before but it doesn't ever load right. Even tried to remove the proprietary driver and re-download and reconfigure it and it doesn't work.

I was able to restart and boot into safe mode and get it to work by restoring a previous xorg.conf file but the results are irregular. Its broken several times before and always seems to come back as a problem. Every once and awhile it just doesn't want to boot properly with the proprietary driver and goes into a hissy with a illegible Low Graphics mode.

Michael W. (hotdog003-gmail) wrote :

Hey all!

Here's an attached version of my Xorg.conf file with the driver shipped with Ubuntu.

Of particular interest is lots of "EDID" failures. Please note that these error messages do not appear with the latest Nvidia driver.

So what gives? How do we disable EDID in the Xorg or something?

drink (martin-espinoza) wrote :
  • unnamed Edit (174 bytes, text/html; charset=ISO-8859-1)
  • xorg.conf Edit (4.7 KiB, application/octet-stream; name=xorg.conf)

RTFM: the nvidia docs (online) for the driver gives all the EDID-related
options. My xorg.conf is attached, though; it may help you. I had to disable
various EDID stuff.

Nova deViator (nova-deviator) wrote :

hi there.

i had same problems with Hardy, using linux-restricted-modules-2.6.24-18-rt and nvidia-glx.
installing nvidia-glx-new (which replaced nvidia-glx) made the issue go away.

this is a Intel(R) Core(TM)2 Quad CPU Q9300
with
GeForce 8600 GT (rev a1)
starting as very bare Hardy server

William Anderson (neuro) wrote :

I tried installing nvidia-glx-new again on my up-to-date install of Hardy on my XPS m1530. Perhaps rather obviously, it's still not working. Is there going to be any work done on this at all, or do we have to wait for Intrepid Ibex, which IMO would suck.

Bryce Harrington (bryce) on 2009-01-16
description: updated
Bryce Harrington (bryce) on 2009-09-02
tags: added: hardy

Thank you for reporting this issue about a driver from the
linux-restricted-modules package. lrm-2.4.24 was shipped with Ubuntu
8.04 which reached end-of-life for desktop support on May 12th, 2011.

For that reason, this bug report is being closed at this time. I'm
marking it wontfix because what you describe is probably a valid issue,
but there are no plans to work on lrm 2.4.24 bugs further.

The issue may be resolved in a newer version. If not, aside from filing
a new bug report, another angle may be to file it directly with the
driver vendor.

Changed in linux-restricted-modules-2.6.24 (Ubuntu):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers